export class AssetManager {
    constructor() {
        this.assets = {};
    }
    initAsset(assetKey, asset) {
        this.assets[assetKey] = asset;
    }
    getAsset(assetKey) {
        return this.assets[assetKey] ?? null;
    }
    getAssetKeys() {
        return Object.keys(this.assets);
    }
}
